Page MenuHomePhabricator

EL alarms should be included just in the tugsten host
Closed, ResolvedPublic

Description

The way our graphite alarms are set they are being included in every graphite host, not just tugsten.

create some new class, role::graphite::checks or something
move ::monitoring:: checks into that class
inlcude that class on just one graphite host (tungsten maybe?) not all

Event Timeline

Nuria created this task.Feb 13 2015, 5:33 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added a subscriber: Nuria.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 5:33 PM
Nuria added a comment.Feb 13 2015, 6:05 PM

Note that https://github.com/wikimedia/operations-puppet/blob/production/manifests/role/graphite.pp
includes include ::eventlogging::monitoring::graphite
and that is what making EL monitoring being deployed to more than 1 host.

kevinator triaged this task as Normal priority.Feb 19 2015, 5:43 PM
kevinator set Security to None.
kevinator moved this task from Next Up to In Progress on the Analytics-Kanban board.
Nuria closed this task as Resolved.Apr 22 2015, 3:46 PM